Bug 1017849 - Small typo in the "Configure Group Role Assignment with jboss-cli.sh" chapter
Small typo in the "Configure Group Role Assignment with jboss-cli.sh" chapter
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: post-GA
: EAP 6.4.1
Assigned To: eap-docs
Ladislav Thon
: Documentation
Depends On:
Blocks: 1013506
  Show dependency treegraph
 
Reported: 2013-10-10 11:37 EDT by Ladislav Thon
Modified: 2015-10-20 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 10-10-2013 14:56:59 Topic ID: 23744-544744 [Latest]
Last Closed: 2015-10-20 08:53:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ladislav Thon 2013-10-10 11:37:55 EDT
Title: Configure Group Role Assignment with jboss-cli.sh

Describe the issue:

1. "Users to be included or excluded from a role can be configured in the Management Console and the jboss-cli.sh tool."

2. Procedure 10.25. Add a Group as included in a role says "/core-service=management/access=authorization/role-mapping=ROLENAME/include=group-USERNAME:add(name=GROUPNAME, type=GROUP)"

3. Procedure 10.28. Remove a user group exclude entry says "This procedure shows how to remove an group exclude entry from a role mapping"

4. Procedure 10.28. Remove a user group exclude entry says "The include name must be ..."

Suggestions for improvement:

1. "Groups to be included or excluded from a role can be configured in the Management Console and the jboss-cli.sh tool."

2. "/core-service=management/access=authorization/role-mapping=ROLENAME/include=group-GROUPNAME:add(name=GROUPNAME, type=GROUP)"

3. "This procedure shows how to remove a group exclude entry from a role mapping"

4. "The exclude name must be ..."
Comment 1 Ladislav Thon 2013-10-15 07:14:30 EDT
One more thing: role mapping includes/excludes do NOT have to be named "group-GROUPNAME", that's just a convention. They can be called however the admin wants -- this is just one naming scheme that ensures uniqueness.
Comment 4 Jakub Cechacek 2014-04-18 05:27:25 EDT
The parst of the docs mentioned by lthon in original report seems to changed, can you confirm?

If this is ready for QE please change the status appropriately
Comment 6 Richard Janík 2015-07-08 10:22:32 EDT
Verified. EAP 6.4.2.CP.CR2. Revision: 6.3.0-51. Clearing needinfo.

Note You need to log in before you can comment on or make changes to this bug.